defmodule Blogex.NotFoundError do
  @moduledoc """
  Raised when a blog or post is not found.
  Implements Plug.Exception to return a 404 status.
  """
  defexception [:message, plug_status: 404]
end
